Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-django-tables2
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname django-tables2

Name:           python-module-django-tables2
Version:        1.17.1
Release:        alt1_5
Summary:        Table framework for Django

License:        BSD
URL:            https://github.com/bradleyayers/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
Provides:       django-tables2 = %{version}-%{release}
Source44: import.info


%description
django-tables2 simplifies the task of turning sets of data into HTML tables.
It has native support for pagination and sorting. It does for HTML tables
what django.forms does for HTML forms.

%package -n python3-module-django-tables2
Group: Other
Summary:        Table framework for Django
%{?python_provide:%python_provide python3-%{pkgname}}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

Requires:       python3-module-django python3-module-django-dbbackend-mysql python3-module-django-dbbackend-psycopg2 python3-module-django-dbbackend-sqlite3
Requires:       python3-module-six

Obsoletes:      python-%{pkgname} < 1.2.3-5
Obsoletes:      python2-%{pkgname} < 1.2.3-5

%description -n python3-module-django-tables2
django-tables2 simplifies the task of turning sets of data into HTML tables.
It has native support for pagination and sorting. It does for HTML tables
what django.forms does for HTML forms.

%prep
%setup -q -n %{pkgname}-%{version}


%build
%python3_build

%install
%python3_install

%files -n python3-module-django-tables2
%doc README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/django_tables2
%{python3_sitelibdir_noarch}/django_tables2-%{version}-py%{__python3_version}.egg-info

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.17.1-alt1_5
- update to new release by fcimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 1.17.1-alt1_4
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_6
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_5
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_4
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_2
- initial fc import

